Bug 139256 - Anaconda crash in text-mode nfsiso install
Anaconda crash in text-mode nfsiso install
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-14 10:06 EST by Ed Swierk
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 17:00:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Swierk 2004-11-14 10:06:35 EST
Anaconda crashes when starting a text-mode install using ISO disc
images via NFS.

Since I do not have a mouse connected, Anaconda shows a dialog box
asking whether to continue with graphical install or use text-mode
install instead.  I select the latter, and Anaconda says it is
starting the text-mode install.  Shortly thereafter, Anaconda crashes.

Here is the part of the stack trace still visible on the screen after
the crash:

  File "/usr/lib/anaconda/image.py", line 573, in __init__
    self.discImages = findIsoImages(tree, messageWindow)
  File "/usr/lib/anaconda/image.py", line 476, in findIsoImages
    custom_buttons= [_("_Reboot"),
  File "/usr/lib/anaconda/text.py", line 272, in messageWindow
    buttons=tmpbut)
  File "/usr/lib/python2.3/site-packages/snack.py", line 547, in
ButtonChoiceWindow
    t = TextboxReflowed(width, text, maxHeight = screen.height - 12)
AttributeError: 'NoneType' object has no attribute 'height'
install exited abnormally
Comment 1 Ed Swierk 2004-11-14 11:54:00 EST
I verified the md5sums of the binary CD images, and they all look okay.
Comment 2 Jeremy Katz 2004-11-15 10:22:34 EST
Is it the DVD ISO or the CD ISOs?  This is coming about when we try to
report an error with the size of the images not being a multiple of
2048.  Which sometimes happens with broken NFS servers and the DVD iso
but I've never seen it with the CD images except when there's a broken
download.
Comment 3 Ed Swierk 2004-11-15 12:10:08 EST
The directory contained full CD ISOs, and a partially-downloaded DVD
ISO.  Maybe the presence of the partial DVD ISO messed things up?
Comment 4 Jeremy Katz 2004-11-15 12:17:11 EST
Yep, that would probably do it.  Can you confirm that moving it out of
the way makes things work?
Comment 5 Jeremy Katz 2005-02-01 17:00:52 EST
Closing due to inactivity.  Please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.